### Name: klastorin
### Title: Klastorin's (1982) method for classifying genes as suggested by
###   Misawa and Tajima (2000)
### Aliases: klastorin
### Keywords: manip

### ** Examples

library(ape)

# find groups in landplant tree
data("landplants.newick")
tree1 <- read.tree(text = landplants.newick)
plot(tree1, label.offset = 0.001)
klastorin(tree1)
tree1$tip.label

# find groups in opsin tree
data("opsin.newick")
tree2 <- read.tree(text = opsin.newick)
plot(tree2,label.offset = 0.01)
groups <- klastorin(tree2)
groups
tree2$tip.label[groups==1]
tree2$tip.label[groups==2]
tree2$tip.label[groups==3]
tree2$tip.label[groups==4]
tree2$tip.label[groups==5]



