### Name: ratogram
### Title: Ratogram Computed by Nonparametric Rate Smoothing
### Aliases: ratogram
### Keywords: manip

### ** Examples

library(ape)

# get tree
data("landplants.newick") # example tree in NH format
tree.landplants <- read.tree(text = landplants.newick)

# plot tree
tree.landplants
plot(tree.landplants, label.offset = 0.001)

# estimate ratogram
rato.plants <- ratogram(tree.landplants)

# plot and write to file
plot(rato.plants, label.offset = 0.001)
write.tree(rato.plants, file = "ratogram.phy")



