### Name: root
### Title: Roots Phylogenetic Trees
### Aliases: root is.rooted
### Keywords: manip

### ** Examples

data(bird.orders)

plot(root(bird.orders, 1))
plot(root(bird.orders, 1:5))

is.rooted(bird.orders) # yes!
is.rooted(root(bird.orders, 1)) # no!
### This is because the tree has been unrooted first before re-rooting.
### You can delete the outgroup...
is.rooted(drop.tip(root(bird.orders, 1), "Struthioniformes"))
### ... or resolve the basal trichotomy:
is.rooted(multi2di(root(bird.orders, 1)))
### To keep the basal trichotomy but forcing the tree as rooted:
tr <- root(bird.orders, 1)
tr$root.edge <- 0
is.rooted(tr)



